Package com.sas.lsaf.execution.job

## Class ManifestWorkspaceFile

- java.lang.Object
- - com.sas.lsaf.execution.job.ManifestFile
  - - com.sas.lsaf.execution.job.ManifestWorkspaceFile

- All Implemented Interfaces:
    `java.io.Serializable`

      public class ManifestWorkspaceFile
      extends ManifestFile

  The client representation of a workspace file that is referenced in a job manifest file.
  Since:
    2.4
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ManifestWorkspaceFile​(java.lang.String path, java.lang.String name, java.util.Date lastModified, java.lang.Long size)` | It is not intended or recommended that the consumer of the API construct these objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class com.sas.lsaf.execution.job.ManifestFile

      `equals, getId, getLastModified, getName, getPath, getSize, getVersion, hashCode, isRepositoryFile, isWorkspaceFile`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ManifestWorkspaceFile

          public ManifestWorkspaceFile​(java.lang.String path,
                                       java.lang.String name,
                                       java.util.Date lastModified,
                                       java.lang.Long size)

      It is not intended or recommended that the consumer of the API construct these objects. They should only deal with the manifest workspace file objects returned by the API.
      Parameters:
        `path` - The full path to the file, which includes the name.
        `name` - The name of the file.
        `lastModified` - The date on which the file was last modified.
        `size` - The size (in bytes) of the file.

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `ManifestFile`